<back to all web services

DeleteTranslations

The following routes are available for this service:
POST/RestApi/translations/deleteTranslations
import 'package:servicestack/servicestack.dart';

class DeleteTranslations implements IConvertible
{
    List<String>? Ids;

    DeleteTranslations({this.Ids});
    DeleteTranslations.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Ids = JsonConverters.fromJson(json['Ids'],'List<String>',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Ids': JsonConverters.toJson(Ids,'List<String>',context!)
    };

    getTypeName() => "DeleteTranslations";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'DeleteTranslations': TypeInfo(TypeOf.Class, create:() => DeleteTranslations()),
});

Dart DeleteTranslations DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/deleteTranslations HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"]}